{"docsConfig":{"theme":"sequoia","$schema":"https://mintlify.com/docs.json","name":"Coreload","colors":{"primary":"#ff5b1f","light":"#ff7a45","dark":"#ff5b1f"},"logo":{"light":"https://mintcdn.com/coreload/F-WROzTpZWtGz7OO/logo-light.svg?fit=max\u0026auto=format\u0026n=F-WROzTpZWtGz7OO\u0026q=85\u0026s=50bd4c9eea257ef9d634dbf3599789e1","dark":"https://mintcdn.com/coreload/F-WROzTpZWtGz7OO/logo-dark.svg?fit=max\u0026auto=format\u0026n=F-WROzTpZWtGz7OO\u0026q=85\u0026s=b0cde3ceb7455ce8c50c921e01e982ed","href":"https://coreload.com"},"favicon":"https://mintcdn.com/coreload/F-WROzTpZWtGz7OO/favicon.svg?fit=max\u0026auto=format\u0026n=F-WROzTpZWtGz7OO\u0026q=85\u0026s=0de709dda535cec859042e54ba72581d","api":{"playground":{"display":"none"}},"background":{"color":{"light":"#fafafa","dark":"#0a0a0a"}},"navbar":{"links":[{"href":"https://coreload.com","label":"coreload.com"}],"primary":{"type":"button","label":"Install the GitHub App","href":"https://github.com/apps/coreload-ci/installations/new"}},"footer":{"links":[{"header":"Coreload","items":[{"label":"Home","href":"https://coreload.com"},{"label":"Quickstart","href":"/quickstart"},{"label":"Pricing","href":"/pricing"}]}]},"fonts":{"family":"Geist"},"styling":{"codeblocks":"dark","latex":false},"contextual":{"options":["copy","view","claude","chatgpt","mcp","cursor","vscode"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"coreload","hasAudioNarration":false,"actualSubdomain":"coreload","customDomains":["docs.coreload.com"],"gitSource":{"type":"github","owner":"coreloadhq","repo":"coreload","deployBranch":"docs-live","contentDirectory":"docs/mintlify","isPrivate":true,"mountPath":"","label":"","_id":"6aecc328eead22005dedb25c"},"chroma":{"latestBuiltDeploymentHistoryId":"6aecc81a90fdd8a86a9d0ebe","collectionId":"8a2b0604-dc83-40ac-8ca7-f91a6cc3f6a5","liveDeploymentHistoryId":"6aecc81a90fdd8a86a9d0ebe","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aedfd5055bb8cace6bbe196","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API reference (beta)","count":30},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Endpoints","count":14},{"language":"default","tag":"Account","count":5},{"language":"default","tag":"Runners","count":5},{"language":"default","tag":"Sandboxes","count":5},{"language":"default","tag":"Get started","count":4},{"language":"default","tag":"Runs","count":3},{"language":"default","tag":"Tunnels","count":3},{"language":"default","tag":"Files","count":2}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"#assistant-entry,#assistant-entry-mobile,#ask-assistant-code-block-button,.chat-assistant-floating-input{display:none!important}"}],"page":{"pagePath":"api-reference/sandboxes/get-a-sandbox","slug":"/api-reference/sandboxes/get-a-sandbox","pageMetadata":{"title":"Get a sandbox","description":"The sandbox with its current status. Another caller's sandbox is `not_found`, the same answer as an unknown id.\n\nNeeds the `view` scope.","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes/{id}","href":"/api-reference/sandboxes/get-a-sandbox","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"The sandbox with its current status. Another caller’s sandbox is \", _jsx(_components.code, {\n children: \"not_found\"\n }), \", the same answer as an unknown id.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Needs the \", _jsx(_components.code, {\n children: \"view\"\n }), \" scope.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Get a sandbox","description":"The sandbox with its current status. Another caller's sandbox is `not_found`, the same answer as an unknown id.\n\nNeeds the `view` scope.","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes/{id}","href":"/api-reference/sandboxes/get-a-sandbox","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"getSandbox","tags":["Sandboxes"],"summary":"Get a sandbox","description":"The sandbox with its current status. Another caller's sandbox is `not_found`, the same answer as an unknown id.\n\nNeeds the `view` scope.","parameters":["bf10eff8-067b-469f-9898-09184ac45375"],"responses":{"200":"01c0e322-6715-4da0-824a-4c23f9182924","401":"7422b735-63a0-410f-bba2-66efbffa341d","403":"b8b61e7b-2263-4b1d-867b-7ec188b2271b","404":"7ff1fc24-5660-4eac-bdc9-426802b66040","502":"c9ae8d8c-3f5c-4d1c-a870-401c0ca5afc3","default":"e293f0ca-3240-4598-b704-449dbc1e1b44"},"method":"get","type":"path","servers":["e0d4c46f-35a5-487a-9bb4-6bf487323961"],"security":["c28b873a-59f6-41e6-a12e-f6e3effe144a","bc1f25fc-9f98-41e7-a609-19e6559f8cd4"],"path":"/v1/sandboxes/{id}","baseUrlOptions":["{box}"],"title":"Get a sandbox","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"bf10eff8-067b-469f-9898-09184ac45375":{"name":"id","in":"path","required":true,"description":"The sandbox id (`sbx_` and 12 hex).","schema":{"type":"string","pattern":"^sbx_[0-9a-f]{12}$","isRequired":true,"description":"The sandbox id (`sbx_` and 12 hex).","uniqueKey":"","typeLabel":"string"}}},"responses":{"01c0e322-6715-4da0-824a-4c23f9182924":{"description":"The sandbox.","content":{"application/json":{"schema":{"type":"object","required":["id","image","status","createdAt","expiresAt","labels"],"properties":{"id":{"type":"string","description":"The sandbox id.","pattern":"^sbx_[0-9a-f]{12}$","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"image":{"type":"string","description":"The image it was made from.","isRequired":true,"uniqueKey":"image","typeLabel":"string"},"status":{"type":"string","description":"`creating` until it can run tasks, then `ready`.","enum":["creating","ready"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","description":"When it was made.","format":"date-time","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"expiresAt":{"type":"string","description":"When it is deleted.","format":"date-time","isRequired":true,"uniqueKey":"expiresAt","typeLabel":"string\u003cdate-time>"},"labels":{"type":"object","description":"Up to 16 string pairs: keys `[a-z0-9._-]` of at most 63 characters, values of at most 256.","propertyNames":{"pattern":"^[a-z0-9][a-z0-9._-]{0,62}$"},"additionalProperties":{"type":"string","maxLength":256,"uniqueKey":"labels.additionalProperties","typeLabel":"string"},"maxProperties":16,"isRequired":true,"uniqueKey":"labels","typeLabel":"object"},"backend":{"type":"string","description":"The backend that runs it.","uniqueKey":"backend","typeLabel":"string"},"owner":{"type":"string","description":"The caller that made it.","uniqueKey":"owner","typeLabel":"string"},"keyId":{"type":"string","description":"The SHA-256 of the API key that made it (64 lowercase hex), when a key made it.","pattern":"^[0-9a-f]{64}$","uniqueKey":"keyId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","image":"\u003cstring>","status":"creating","createdAt":"2023-11-07T05:31:56Z","expiresAt":"2023-11-07T05:31:56Z","labels":{},"backend":"\u003cstring>","owner":"\u003cstring>","keyId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"7422b735-63a0-410f-bba2-66efbffa341d":{"description":"Notably `unauthorized`.","content":{"application/json":{"schema":{"type":"object","required":["ok","error"],"properties":{"ok":{"const":false,"isRequired":true,"uniqueKey":"ok","typeLabel":"any"},"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"The error code.","enum":["invalid_value","unauthorized","scope_missing","ip_not_allowed","not_found","backend_error","idempotency_conflict","sandbox_not_ready","too_large","quota_exceeded","busy","wait_timeout"],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"What went wrong, and what to do.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"ok":false,"error":{"code":"invalid_value","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"b8b61e7b-2263-4b1d-867b-7ec188b2271b":{"description":"Notably `scope_missing`, `ip_not_allowed`.","content":{"application/json":{"schema":{"type":"object","required":["ok","error"],"properties":{"ok":{"const":false,"isRequired":true,"uniqueKey":"ok","typeLabel":"any"},"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"The error code.","enum":["invalid_value","unauthorized","scope_missing","ip_not_allowed","not_found","backend_error","idempotency_conflict","sandbox_not_ready","too_large","quota_exceeded","busy","wait_timeout"],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"What went wrong, and what to do.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"ok":false,"error":{"code":"invalid_value","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"7ff1fc24-5660-4eac-bdc9-426802b66040":{"description":"Notably `not_found`.","content":{"application/json":{"schema":{"type":"object","required":["ok","error"],"properties":{"ok":{"const":false,"isRequired":true,"uniqueKey":"ok","typeLabel":"any"},"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"The error code.","enum":["invalid_value","unauthorized","scope_missing","ip_not_allowed","not_found","backend_error","idempotency_conflict","sandbox_not_ready","too_large","quota_exceeded","busy","wait_timeout"],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"What went wrong, and what to do.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"ok":false,"error":{"code":"invalid_value","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"c9ae8d8c-3f5c-4d1c-a870-401c0ca5afc3":{"description":"Notably `backend_error`.","content":{"application/json":{"schema":{"type":"object","required":["ok","error"],"properties":{"ok":{"const":false,"isRequired":true,"uniqueKey":"ok","typeLabel":"any"},"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"The error code.","enum":["invalid_value","unauthorized","scope_missing","ip_not_allowed","not_found","backend_error","idempotency_conflict","sandbox_not_ready","too_large","quota_exceeded","busy","wait_timeout"],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"What went wrong, and what to do.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"ok":false,"error":{"code":"invalid_value","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"e293f0ca-3240-4598-b704-449dbc1e1b44":{"description":"An error: `{ok: false, error: {code, message}}`. This route may answer any code in this table (code, then status): `invalid_value` 400, `unauthorized` 401, `scope_missing` 403, `ip_not_allowed` 403, `not_found` 404, `idempotency_conflict` 409, `sandbox_not_ready` 409, `too_large` 413, `quota_exceeded` 429, `busy` 429, `wait_timeout` 504, `backend_error` 502.","content":{"application/json":{"schema":{"type":"object","required":["ok","error"],"properties":{"ok":{"const":false,"isRequired":true,"uniqueKey":"ok","typeLabel":"any"},"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"The error code.","enum":["invalid_value","unauthorized","scope_missing","ip_not_allowed","not_found","backend_error","idempotency_conflict","sandbox_not_ready","too_large","quota_exceeded","busy","wait_timeout"],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"What went wrong, and what to do.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"ok":false,"error":{"code":"invalid_value","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"c28b873a-59f6-41e6-a12e-f6e3effe144a":{"ticket":{"type":"apiKey","in":"header","name":"Authorization","description":"The ticket's `authorization` value, sent as it is (its own scheme, not Bearer), until the ticket's `expiresAt`.","scopes":[],"schemeName":"ticket"}},"bc1f25fc-9f98-41e7-a609-19e6559f8cd4":{"apiKey":{"type":"http","scheme":"bearer","description":"An API key: `Authorization: Bearer \u003ckey>`. The edge takes it for a ticket; a box takes a key issued for that box. Keys are not issued to outside callers yet.","scopes":[],"schemeName":"apiKey"}}},"servers":{"e0d4c46f-35a5-487a-9bb4-6bf487323961":{"url":"{box}","description":"The box URL from your ticket (`url`).","variables":{"box":{"default":"https://box.coreload.example","description":"The ticket's url."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","description":"The ticket's `authorization` value, sent as it is (its own scheme, not Bearer), until the ticket's `expiresAt`.","scopes":[],"schemeName":"ticket"},"schema":{"title":"Authorization","type":"string","description":"The ticket's `authorization` value, sent as it is (its own scheme, not Bearer), until the ticket's `expiresAt`.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ticket","name":"Authorization"}],"title":"ticket"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"An API key: `Authorization: Bearer \u003ckey>`. The edge takes it for a ticket; a box takes a key issued for that box. Keys are not issued to outside callers yet.","scopes":[],"schemeName":"apiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"An API key: `Authorization: Bearer \u003ckey>`. The edge takes it for a ticket; a box takes a key issued for that box. Keys are not issued to outside callers yet.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"apiKey","name":"Authorization"}],"title":"apiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"coreload","siteName":"Coreload","title":"Get a sandbox - Coreload","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T22:51:35.007Z","originalFileLocation":"api-reference/sandboxes/get-a-sandbox.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The sandbox with its current status. Another caller\u0026#x27;s sandbox is not_found, the same answer as an unknown id. Needs the view scope.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Coreload\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get a sandbox - Coreload\">\u003cmeta data-mint-head property=\"og:description\" content=\"The sandbox with its current status. Another caller\u0026#x27;s sandbox is not_found, the same answer as an unknown id. Needs the view scope.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Coreload\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://coreload.mintlify.site/_mintlify/api/og/v2?division=Sandboxes\u0026amp;title=Get+a+sandbox\u0026amp;description=The+sandbox+with+its+current+status.+Another+caller%27s+sandbox+is+%60not_found%60%2C+the+same+answer+as+an+unknown+id.%0A%0ANeeds+the+%60view%60+scope.\u0026amp;theme=08bc45270cbcd108975f9f54\u0026amp;signature=07ec13dd0e4500683cef8d1e75c94f54c484318a22777a1edde90851f22ca782\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get a sandbox - Coreload\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"The sandbox with its current status. Another caller\u0026#x27;s sandbox is not_found, the same answer as an unknown id. Needs the view scope.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://coreload.mintlify.site/_mintlify/api/og/v2?division=Sandboxes\u0026amp;title=Get+a+sandbox\u0026amp;description=The+sandbox+with+its+current+status.+Another+caller%27s+sandbox+is+%60not_found%60%2C+the+same+answer+as+an+unknown+id.%0A%0ANeeds+the+%60view%60+scope.\u0026amp;theme=08bc45270cbcd108975f9f54\u0026amp;signature=07ec13dd0e4500683cef8d1e75c94f54c484318a22777a1edde90851f22ca782\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/coreload/kDocl_xUe8SpC1qe/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Coreload\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#ff5b1f\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/sandboxes/get-a-sandbox.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.coreload.com/#organization\",\"name\":\"Coreload\",\"url\":\"https://docs.coreload.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/coreload/F-WROzTpZWtGz7OO/logo-light.svg?fit=max\u0026auto=format\u0026n=F-WROzTpZWtGz7OO\u0026q=85\u0026s=50bd4c9eea257ef9d634dbf3599789e1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.coreload.com#website\",\"name\":\"Coreload\",\"url\":\"https://docs.coreload.com\",\"publisher\":{\"@id\":\"https://docs.coreload.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox#webpage\",\"url\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox\",\"name\":\"Get a sandbox\",\"description\":\"The sandbox with its current status. Another caller's sandbox is not_found, the same answer as an unknown id. Needs the view scope.\",\"dateModified\":\"2026-11-05T22:51:35.007Z\",\"isPartOf\":{\"@id\":\"https://docs.coreload.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API reference (beta)\",\"item\":\"https://docs.coreload.com/api\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Endpoints\",\"item\":\"https://docs.coreload.com/api-reference/access/get-a-ticket-for-a-box\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Sandboxes\",\"item\":\"https://docs.coreload.com/api-reference/sandboxes/list-your-sandboxes\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Get a sandbox\",\"item\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox#apireference\",\"headline\":\"Get a sandbox\",\"name\":\"Get a sandbox\",\"description\":\"The sandbox with its current status. Another caller's sandbox is not_found, the same answer as an unknown id. Needs the view scope.\",\"url\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox\",\"mainEntityOfPage\":{\"@id\":\"https://docs.coreload.com/api-reference/sandboxes/get-a-sandbox#webpage\"},\"dateModified\":\"2026-11-05T22:51:35.007Z\",\"publisher\":{\"@id\":\"https://docs.coreload.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.coreload.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Coreload\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Coreload","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API reference (beta)","groups":[{"group":"API reference (beta)","pages":[{"title":"API reference (beta)","mode":"wide","href":"/api"},{"group":"Endpoints","pages":[{"group":"Access","pages":[{"title":"Get a ticket for a box","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/tickets","href":"/api-reference/access/get-a-ticket-for-a-box"}]},{"group":"Sandboxes","pages":[{"title":"List your sandboxes","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes","href":"/api-reference/sandboxes/list-your-sandboxes"},{"title":"Create a sandbox","description":"Makes a fresh sandbox that is deleted at its TTL. With `waitMs` the answer comes once the sandbox is ready; if that wait fails, a sandbox made without an idempotency key is destroyed. A retry with the same `idempotencyKey` returns the first sandbox.\n\nNeeds the `use` scope.","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sandboxes","href":"/api-reference/sandboxes/create-a-sandbox"},{"title":"Get a sandbox","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes/{id}","href":"/api-reference/sandboxes/get-a-sandbox"},{"title":"Destroy a sandbox","description":"Stops the sandbox's tasks and deletes it and everything in it.\n\nNeeds the `use` scope.","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/sandboxes/{id}","href":"/api-reference/sandboxes/destroy-a-sandbox"},{"title":"Lock a sandbox's egress","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sandboxes/{id}/egress","href":"/api-reference/sandboxes/lock-a-sandboxs-egress"}]},{"group":"Runs","pages":[{"title":"Run a command","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sandboxes/{id}/runs","href":"/api-reference/runs/run-a-command"},{"title":"Get a run's result","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes/{id}/runs/{run}","href":"/api-reference/runs/get-a-runs-result"},{"title":"Get a run's output so far","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes/{id}/runs/{run}/logs","href":"/api-reference/runs/get-a-runs-output-so-far"}]},{"group":"Files","pages":[{"title":"Download a file","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/sandboxes/{id}/files","href":"/api-reference/files/download-a-file"},{"title":"Upload a file","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/sandboxes/{id}/files","href":"/api-reference/files/upload-a-file"}]},{"group":"Tunnels","pages":[{"title":"Open an SSH tunnel","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sandboxes/{id}/ssh","href":"/api-reference/tunnels/open-an-ssh-tunnel"},{"title":"Open a desktop tunnel","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sandboxes/{id}/desktop","href":"/api-reference/tunnels/open-a-desktop-tunnel"},{"title":"Open a credential relay tunnel","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/sandboxes/{id}/relay","href":"/api-reference/tunnels/open-a-credential-relay-tunnel"}]}]}]}]}]},"basePath":"","title":"Get a sandbox - Coreload","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-BUDYNlhG.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}